/* Para garantir box-sizing: border-box caso o Bootstrap seja removido */
*{
  box-sizing: border-box;
}

/* CSS para menus específicos (menus da pasta navbars) */
#div_menu_do_aluno,
#div_menu_do_professor,
#div_menu_do_administrador{
  display: flex;
  justify-content: center;
}
.div_logotipo_akademus{
  display: flex;
  justify-content: center;
  align-items: center;
}
.logotipo_akademus{
  width: auto;
  height: 64px;
}
.menu{
  margin-left: 20px;
}
.lista_de_opcoes_do_menu{
  padding-top: 20px;
  overflow: hidden;
}
.lista_de_opcoes_do_menu>li{
  margin: 0px 0px 0px 15px !important;
}
.lista_de_opcoes_do_menu>li:first-child{
  margin: 0px !important;
}
.lista_de_opcoes_extras_do_menu{
  display: none;
  padding-left: 0px;
  list-style: none;
  overflow: hidden;
}
.lista_de_opcoes_extras_do_menu>li{
  float: left;
  margin-top: 20px;
  margin-left: 15px;
}
.lista_de_opcoes_extras_do_menu>li:first-child{
  margin-left: 0px;
}
.lista_de_opcoes_extras_do_menu>li>a{
  padding: 8px 25px;
  color: #00000080;
  font-weight: 700;
}
.botao_sair,
.botao_sair_extra{
  min-width: 100px;
  background-color: #F5F7FA !important;
}
.botao_sair:hover,
.botao_sair_extra:hover{
  background-color: #1455D5 !important;
  color: #FFF !important;
}
.botao_menu{
  float: right;
  border-radius: 5px;
  min-width: 45px;
  background-color: #2A3538 !important;
  color: #FFF !important;
  font-size: 16px;
  font-weight: 700;
}
.botao_menu:hover{
  background-color: #1455D5 !important;
}
#ul_menu_lateral{
  display: none;
  overflow: hidden;
}
@media(max-width: 1120px){
  #div_menu_do_aluno{
    padding: 0px 20px;
    justify-content: space-between;
  }
  #div_menu_do_aluno .lista_de_opcoes_do_menu{
    display: none;
  }
  #div_menu_do_aluno .lista_de_opcoes_extras_do_menu{
    display: block;
  }
  #div_menu_do_aluno #ul_menu_lateral{
    display: block;
    position: fixed;
    top: 0;
    bottom: 0px;
    left: -250px;
    width: 230px;
    padding-right: 15px;
    padding-left: 15px;
    background-color: #F5F7FA;
    box-shadow: 1px 2px 5px 0 rgba(0,0,0,0.25);
    transition: all 0.3s ease-in-out;
    z-index: 60;
  }
  #div_menu_do_aluno #ul_menu_lateral>li{
    float: none !important;
    margin-right: 0px !important;
  }
}
@media(max-width: 1120px){
  #div_menu_do_professor{
    padding: 0px 20px;
    justify-content: space-between;
  }
  #div_menu_do_professor .lista_de_opcoes_do_menu{
    display: none;
  }
  #div_menu_do_professor .lista_de_opcoes_extras_do_menu{
    display: block;
  }
  #div_menu_do_professor #ul_menu_lateral{
    display: block;
    position: fixed;
    top: 0;
    bottom: 0px;
    left: -250px;
    width: 230px;
    padding-right: 15px;
    padding-left: 15px;
    background-color: #F5F7FA;
    box-shadow: 1px 2px 5px 0 rgba(0,0,0,0.25);
    transition: all 0.3s ease-in-out;
    z-index: 60;
  }
  #div_menu_do_professor #ul_menu_lateral>li{
    float: none !important;
    margin-right: 0px !important;
  }
}
@media(max-width: 1240px){
  #div_menu_do_administrador{
    padding: 0px 20px;
    justify-content: space-between;
  }
  #div_menu_do_administrador .lista_de_opcoes_do_menu{
    display: none;
  }
  #div_menu_do_administrador .lista_de_opcoes_extras_do_menu{
    display: block;
  }
  #div_menu_do_administrador #ul_menu_lateral{
    display: block;
    position: fixed;
    top: 0;
    bottom: 0px;
    left: -250px;
    width: 230px;
    padding-right: 15px;
    padding-left: 15px;
    background-color: #F5F7FA;
    box-shadow: 1px 2px 5px 0 rgba(0,0,0,0.25);
    transition: all 0.3s ease-in-out;
    z-index: 60;
  }
  #div_menu_do_administrador #ul_menu_lateral>li{
    float: none !important;
    margin-right: 0px !important;
  }
}

/* CSS para todas as páginas que tiverem as classes */
.paginacao{
  padding-top: 18px;
  padding-bottom: 56px;
  overflow: hidden;
}
.link_da_paginacao{
  float: left;
  border: 1px solid #DEE2E6;
  border-left: none;
  padding: 12px 15px;
  background-color: #FFF;
  color: #007BFF;
  text-decoration: none;
  cursor: pointer;
  z-index: 2;
}
.link_da_paginacao:hover{
  background-color: #E9ECEF;
  color: #0056B3;
  text-decoration: none;
}
.link_da_paginacao:first-child{
  border-left: 1px solid #DEE2E6;
}
.pagina_atual,
.pagina_atual:hover{
  border: 1px solid #007BFF;
  background-color: #007BFF;
  color: #FFF;
  z-index: 3;
}
.pagina_atual:first-child{
  border-left: 1px solid #007BFF;
}
